<html>
<head>
  <title>"Książkorama"-Rezultaty wyszukiwania</title>
</head>
<body>
<h1>"Książkorama"-Rezultaty wyszukiwania</h1>
<?php
  // utworzenie krótkich nazw zmiennych
  $metoda_szukania=$_POST['metoda_szukania'];
  $wyrazenie=trim($_POST['wyrazenie']);

  if (!$metoda_szukania || !$wyrazenie) {
     echo "Brak parametrów wyszukiwania. Wróæ do poprzedniej strony i spróbuj ponownie.";
     exit;
  }

  if (!get_magic_quotes_gpc()) {
    $metoda_szukania = addslashes($metoda_szukania);
    $wyrazenie = addslashes($wyrazenie);
  }

  // określenie ustawień dla PEAR MDB2
  require_once('MDB2.php');
  $uzytkownik = 'ksiazkorama';
  $haslo = 'ksiazkorama123';
  $komputer = 'localhost';
  $nazwa_bazy = 'ksiazki';

  // ustawienie uniwersalnego łańcucha połączenia lub DSN
  $dsn = "mysqli://".$uzytkownik.":".$haslo."@".$komputer."/".$nazwa_bazy;

  // połączenie z bazą danych
  $db = &MDB2::connect($dsn);

  // sprawdzenie, czy połączenie zostało ustanowione
  if (MDB2::isError($db)) {
    echo $db->getMessage();
    exit;
  }

  // wykonanie zapytania
  $zapytanie = "select * from ksiazki where ".$metoda_szukania." like '%".$wyrazenie."%'";

  $wynik = $db->query($zapytanie);
  // sprawdzenie, czy wynik jest OK
  if (MDB2::isError($wynik)) {
    echo $db->getMessage();
    exit;
  }

  // pobranie liczby zwróconych wierszy
  $ile_znalezionych = $wynik->numRows();

  // wyświetlenie każdego zwróconego wiersza
  for ($i=0; $i <$ile_znalezionych; $i++) {
     $wiersz = $wynik->fetchRow(MDB2_FETCHMODE_ASSOC);
     echo "<p><strong>".($i+1).". Tytuł: ";
     echo htmlspecialchars(stripslashes($wiersz['tytul']));
     echo "</strong><br />Autor: ";
     echo stripslashes($wiersz['autor']);
     echo "<br />ISBN: ";
     echo stripslashes($wiersz['isbn']);
     echo "<br />Cena: ";
     echo stripslashes($wiersz['cena']);
     echo "</p>";
  }

  // zakończenie połączenia z bazą danych
  $db->disconnect();
  ?>

</body>
</html>